dojo.provide("parus.designerEditionSplitDialog");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");
dojo.require("dijit.form.DateTextBox");

dojo.require("parus.parus8");
dojo.require("parus.dialog");
dojo.require("parus.formats");

dojo.declare("parus.designerEditionSplitDialog", [parus.Dialog], {

  rn: null,

  split: function() {
    var response = parus.database.execute("designer.BalanceReportFormEdition.Split", {
      RN: this.rn,
      SPLIT_DATE: parus.formats.dateToString(this.dateEdit.attr("value"))
    });

    return !!response;
  }
});